
<div [formGroup]="form">
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-3">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Tech Assignment Details</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <div>
        <h6>Device-Order: {{deviceFtn}}</h6>
      </div>

      <!-- Order Information -->
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-3">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Customer and Site Details</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Customer: </label>
              <div class="col-24 col-lg-12"><label>{{customerName}}</label></div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Address1: </label>
              <div class="col-24 col-lg-12"><label>{{address1}}</label></div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Address2: </label>
              <div class="col-24 col-lg-12"><label>{{address2}}</label></div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Address3: </label>
              <div class="col-24 col-lg-12"><label>{{address3}}</label></div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">City: </label>
              <div class="col-24 col-lg-12"><label>{{city}}</label></div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">State: </label>
              <div class="col-24 col-lg-12"><label>{{state}}</label></div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Zip: </label>
              <div class="col-24 col-lg-12"><label>{{zip}}</label></div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Building: </label>
              <div class="col-24 col-lg-12"><label>{{building}}</label></div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Floor: </label>
              <div class="col-24 col-lg-12"><label>{{floor}}</label></div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Room: </label>
              <div class="col-24 col-lg-12"><label>{{room}}</label></div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <!-- Tech Assignments -->
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-3">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Tech Assignments</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Assigned Tech: </label>
              <div class="col-24 col-lg-12">
                <dx-select-box [items]="assignedTechList" formControlName="assignedTech"
                               displayExpr="useR_CPE_TECH_NME" valueExpr="useR_CPE_TECH_NME"
                               [value]="assignedTech" searchMode="startswith"
                               [searchEnabled]="true" [searchExpr]="['useR_CPE_TECH_NME']"
                               (onSelectionChanged)="onAssignedTechChanged($event)"></dx-select-box>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Dispatch Time: </label>
              <div class="col-24 col-lg-12">
                <dx-date-box type="datetime"
                             [acceptCustomValue]="false"
                             displayFormat="MM/dd/yyyy hh:mm aa"
                             width="100%"
                             [useMaskBehavior]="true"
                             formControlName="dispatchTime">
                </dx-date-box>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Event ID: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="eventId" [value]="eventId" />
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

    </mat-expansion-panel>
  </mat-accordion>
</div>
